Subject: Re: bug#26324: Tail does not recognize .log file type

From: Bernhard Voelker <[email-masked]>
Date: Sun, 2 Apr 2017 10:56:42 +0200

On 03/31/2017 06:20 PM, Pádraig Brady wrote:
> On 31/03/17 08:26, Kevin Bedard wrote:
>> Hello.  When I execute a ‘tail -f ‘ on my product’s log file (text based
>> file), I get the error below, however, the file contents is still displayed
>> and updated in real time.
>>
>>
>>
>> *tail: unrecognized file system type 0xf15f083d for 'aerolink.log'. please
>> report this to [email-masked] <[email-masked]>. reverting to
>> polling*
> 
> What file system is that file on,
> and is it a networked file system?

It seems that this was a UNIONFS filesystem ...

  http://unionfs.filesystems.org/
  http://copilotco.com/mail-archives//linux-kernel.2008/msg45027.html

... which never made it into the linux kernel.
I'm not sure we should support that.  Newer tail(1) >v8.24  wouldn't
output the warning any longer anyway, so silently falling back
to polling seems to be sufficient for UNIONFS.

Have a nice day,
Berny